export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '敏感识别',
    workSpaceName: '敏感识别',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    parentWorkSpaceName: 'admin-个人工作区',
    workSpaceName: 'admin-个人工作区',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    parentWorkSpaceName: '共享工作区',
    workSpaceName: '共享工作区',
    parentId: 100,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 103,
    parentWorkSpaceName: '高级工作区',
    workSpaceName: '高级工作区',
    parentId: 100,
    'code:': '010',
    ancestors: '0,100,107',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    parentWorkSpaceName: 'admin-个人工作区',
    workSpaceName: '独导',
    parentId: 101,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    parentWorkSpaceName: '共享工作区',
    workSpaceName: 'test',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 203,
    parentWorkSpaceName: '高级工作区',
    workSpaceName: 'sql_api',
    parentId: 103,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 301,
    parentWorkSpaceName: 'admin-个人工作区',
    workSpaceName: '向导API',
    parentId: 201,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 302,
    parentWorkSpaceName: '共享工作区',
    workSpaceName: '托管系统',
    parentId: 202,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];
export const tableList: any[] = [
  {
    businessId: '301',
    fieldName: '.data.idCard',
    name: '.data.idCard',
    fieldType: '返回出参',
    fieldCode: '.data.idCard',
    APIName: '托管数据服务',
    path: '敏感识别/共享工作区/test/托管系统',
    APIModel: '托管模式',
    sensitiveState: '非敏感',
    policyState: '关',
    level: 'G2',
    sensitiveType: '钱包类型',
    source: '人工标记',
    markTime: '2023-12-08 15:27:07',
    recentRecognitionTime: '2023-12-08 15:27:07',
  },
  {
    businessId: '120',
    fieldName: 'uuid',
    name: 'uuid',
    fieldType: '请求入参',
    fieldCode: 'uuid',
    APIName: '向导API',
    path: '敏感识别/admin-个人工作区/独收/向导API',
    APIModel: '向导模式',
    sensitiveState: '非敏感',
    policyState: '开',
    level: 'G5',
    sensitiveType: 'AccessKey ID',
    source: '人工标记',
    markTime: '2023-12-08 15:06:44',
    recentRecognitionTime: '2023-12-08 15:06:44',
  },
  {
    businessId: '210',
    fieldName: 'maxRows',
    name: 'maxRows',
    fieldType: '请求入参',
    fieldCode: 'maxRows',
    APIName: 'sql_api',
    path: '敏感识别/高级工作区/sql_api',
    APIModel: 'SQL 模式',
    sensitiveState: '敏感',
    policyState: '开',
    level: 'G2',
    sensitiveType: '钱包类型',
    source: '人工标记',
    markTime: '2023-12-08 15:48:56',
    recentRecognitionTime: '2023-12-08 15:48:56',
  },
  {
    businessId: '300',
    fieldName: 'valueSize',
    name: 'valueSize',
    fieldType: '返回出参',
    fieldCode: 'valueSize',
    APIName: 'sql_api',
    path: '敏感识别/高级工作区/sql_api',
    APIModel: 'SQL 模式',
    sensitiveState: '非敏感',
    policyState: '关',
    level: '-',
    sensitiveType: '',
    source: '数据库血缘',
    markTime: '',
    recentRecognitionTime: '',
  },
];
export const tableList1: any[] = [
  {
    businessId: '301',
    name: '.data.idCard',
  },
  {
    businessId: '120',
    name: 'uuid',
  },
  {
    businessId: '210',
    name: 'maxRows',
  },
  {
    businessId: '300',
    name: 'valueSize',
  },
];
export const tableList2: any[] = [
  {
    businessId: '301',
    name: '.data.idCard',
  },
  {
    businessId: '120',
    name: 'uuid',
  },
  {
    businessId: '210',
    name: 'maxRows',
  },
  {
    businessId: '300',
    name: 'valueSize',
  },
];
export const tableList3: any[] = [
  {
    businessId: '301',
    fieldName: '.data.idCard',
    name: '.data.idCard',
    fieldType: '返回出参',
    fieldCode: '.data.idCard',
    APIName: '托管数据服务',
    path: '敏感识别/共享工作区/test/托管系统',
    APIModel: '托管模式',
    sensitiveState: '非敏感',
    policyState: '关',
    level: 'G2',
    sensitiveType: '钱包类型',
    source: '人工标记',
    markTime: '2023-12-08 15:27:07',
    recentRecognitionTime: '2023-12-08 15:27:07',
  },
  {
    businessId: '120',
    fieldName: 'uuid',
    name: 'uuid',
    fieldType: '请求入参',
    fieldCode: 'uuid',
    APIName: '向导API',
    path: '敏感识别/admin-个人工作区/独收/向导API',
    APIModel: '向导模式',
    sensitiveState: '非敏感',
    policyState: '开',
    level: 'G5',
    sensitiveType: 'AccessKey ID',
    source: '人工标记',
    markTime: '2023-12-08 15:06:44',
    recentRecognitionTime: '2023-12-08 15:06:44',
  },
  {
    businessId: '210',
    fieldName: 'maxRows',
    name: 'maxRows',
    fieldType: '请求入参',
    fieldCode: 'maxRows',
    APIName: 'sql_api',
    path: '敏感识别/高级工作区/sql_api',
    APIModel: 'SQL 模式',
    sensitiveState: '敏感',
    policyState: '开',
    level: 'G2',
    sensitiveType: '钱包类型',
    source: '人工标记',
    markTime: '2023-12-08 15:48:56',
    recentRecognitionTime: '2023-12-08 15:48:56',
  },
  {
    businessId: '300',
    fieldName: 'valueSize',
    name: 'valueSize',
    fieldType: '返回出参',
    fieldCode: 'valueSize',
    APIName: 'sql_api',
    path: '敏感识别/高级工作区/sql_api',
    APIModel: 'SQL 模式',
    sensitiveState: '非敏感',
    policyState: '关',
    level: '-',
    sensitiveType: '',
    source: '数据库血缘',
    markTime: '',
    recentRecognitionTime: '',
  },
];
export const ruleTtableList: any[] = [
  {
    businessId: 1,
    name: 'ip地址',
    describe: '-------',
    sensitiveType: 'ip地址',
    level: 'G2',
    owner: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    businessId: 2,
    name: '军官证',
    describe: '-------',
    sensitiveType: '军官证',
    level: 'G2',
    owner: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    businessId: 3,
    name: '手机号码（美国）',
    describe: '-------',
    sensitiveType: '固定电话',
    level: 'G3',
    owner: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    businessId: 4,
    name: '身份证（中国香港）',
    describe: '-------',
    sensitiveType: '身份证',
    level: 'G5',
    owner: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    businessId: 5,
    name: '身份证（马来西亚）',
    describe: '-------',
    sensitiveType: '身份证',
    level: 'G5',
    owner: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    businessId: 6,
    name: '中国内地护照',
    describe: '-------',
    sensitiveType: '护照号',
    level: 'G2',
    owner: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
];

export const cardList = (() => {
  const result: any[] = [];
  for (let i = 0; i < 6; i++) {
    result.push({
      id: i,
      sensitiveState: Math.random() <= 0.4 ? '敏感' : '非敏感',
      executionDate: '2020-11-26 17:39',
      icon: 'ant-design:clock-circle-outlined',
      color: '#1890ff',
    });
  }
  return result;
})();
